Discussion about a new BLFS release

Ken Moffat ken at linuxfromscratch.org
Thu Nov 4 15:37:52 PDT 2010


On Thu, Nov 04, 2010 at 08:57:25AM -0500, Randy McMurchy wrote:
> Hi all,
> 
> I would sure like to see a new version of BLFS released.
[...]
>  Here's my take on the state of
> BLFS. I am encouraging everyone to contribute to this discussion because
> I have been out of the loop for so long.
> 
> Section 4: Security
> Seems to be close to up-to-date, except for OpenSSL which would be nice
> to get to 1.0.0 for a release. Ken has been doing extensive testing, as
> I will as well.
 I'm now mostly into only doing build tests, because I've already
looked at most of what I actually use.  Even so, some of the
remaining apps are unlikely to get tested.  If you hadn't
reappeared, I would soon have been proposing to update it, with the
packages I know need fixes, and then wait to see if anyone noticed
breakages.

> Sections 8-11:
> Seems to be more or less up-to-date. We are probably stuck with outdated
> versions of the GLib/GTK+/ATK/Pango stack if we stay with GNOME-2.30.2.
> Not sure if that is a big deal or not.
 For unzip there is a valid ticket re 64-bit, but I haven't looked
at that yet because I've continued to use the older version with
different instructions.  Needs to be fixed before a release.

 I'd also like to see xz here (/me ducks behind a blast-proof wall)
because packages are starting to move to this instead of bzip2, and
it will allow up to use the smaller versions - it can replace lzma.

> Sections 35-38:
> Multimedia, audio and video utils and CD/DVD tools. Again, Ken has done
> quite a bit of work here (thanks again!). K3b probably needs to be
> updated, and I will cave in and ditch XMMS and the entire suite of
> GTK+-1 tools.
 I've got audacious on my list of things to pick up - 2.4 is nice,
and builds with make-3.82.  Beyond that, there are always audio or
video libs to update.  Last time I looked at gstreamer and gst-base,
the newest release still needed to be modified for make-3.82, so the
instructions need updating to build against LFS-6.7.

 For all the *hard* questions like kde or gnome, I have no opinion.

ĸen
-- 
das eine Mal als Tragödie, das andere Mal als Farce



More information about the blfs-dev mailing list